# Uses of Interface
com.sun.source.doctree.AttributeTree

Packages that use AttributeTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of AttributeTree in com.sun.source.doctree

Methods in com.sun.source.doctree with parameters of type AttributeTree
Modifier and Type
Method
Description
`R`
DocTreeVisitor.`visitAttribute(AttributeTree node, P p)`
Visits an AttributeTree node.

## Uses of AttributeTree in com.sun.source.util

Methods in com.sun.source.util that return AttributeTree
Modifier and Type
Method
Description
`AttributeTree`
DocTreeFactory.`newAttributeTree(Name name, AttributeTree.ValueKind vkind, List<? extends DocTree> value)`
Creates a new `AttributeTree` object, to represent an HTML attribute in an HTML tag.
Methods in com.sun.source.util with parameters of type AttributeTree
Modifier and Type
Method
Description
`R`
DocTreeScanner.`visitAttribute(AttributeTree node, P p)`
Visits an AttributeTree node.
`R`
SimpleDocTreeVisitor.`visitAttribute(AttributeTree node, P p)`
Visits an AttributeTree node.